SentimentCrossValidatorTool (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.sentiment, class: SentimentCrossValidatorTool

Package opennlp.tools.cmdline.sentiment

# Class SentimentCrossValidatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.TypedCmdLineTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTypedParamTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractTrainerTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.AbstractCrossValidatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool

public class SentimentCrossValidatorTool extends opennlp.tools.cmdline.AbstractCrossValidatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>
Class for helping perform cross validation on the Sentiment Analysis Parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SentimentCrossValidatorTool()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getShortDescription()`
  Returns the short description of the tool
  `void`
  `run(String format, String[] args)`
  Runs the tool

  ### Methods inherited from class opennlp.tools.cmdline.AbstractTypedParamTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.TypedCmdLineTool

  `getHelp`

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SentimentCrossValidatorTool

    public SentimentCrossValidatorTool()
    Constructor

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Returns the short description of the tool
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      short description

  - ### run

    public void run(String format, String[] args)
    Runs the tool
    Overrides:
      `run` in class `opennlp.tools.cmdline.AbstractEvaluatorTool<opennlp.tools.sentiment.SentimentSample,opennlp.tools.cmdline.sentiment.SentimentCrossValidatorTool.CVToolParams>`
    Parameters:
      `format` - the format to be used
      `args` - the arguments